package game;

import main.Art;
import main.Art.Bitmap;
import main.GameComponent;

public class HeadsUpDisplay {
	
	private DeadGame game;
	private int[] blit;
	private int cooldownTime;
	
	public HeadsUpDisplay(GameComponent g, DeadGame game) {
		this.game = game;
		this.blit = g.displayPixels;
	}
	
	public void tick() {
		if (game.hasGameStarted()) {
			cooldownTime = game.getPlayerTimerCountdown();
		}
	}
	
	public void render() {
		clear();
		if (game.hasGameStarted()) {
			if (!game.isGameOver()) {
				render_cooldown(Art.cooldown, 3, 3);
				test_render_entity();
			}
		}
	}
	
	private void clear() {
		for (int i = 0; i < blit.length; i++)
			if (blit[i] != 0)
				blit[i] = 0;
	}

	private void render_cooldown(Bitmap bitmap, int xOffset, int yOffset) {
		for (int j = 0; j < bitmap.height; j++) {
			for (int i = 0; i < bitmap.width; i++) {
				blit[(j + yOffset) * (GameComponent.WIDTH) + (i + xOffset)] = bitmap.pixels[j * bitmap.width + i];
			}
		}
		xOffset += Art.cooldown.width + 2;
		for (int y = 0; y < Art.cooldown.height; y++) {
			for (int x = cooldownTime; x > 0; x--) {
				blit[(y + yOffset) * GameComponent.WIDTH + (x + xOffset)] = 0x66D97827;
			}
		}
	}
	
	private void test_render_entity() {
	}
}
